Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 711982 - net-misc/memcached-1.6.0 : fails to build with -fno-common or gcc-10
Summary: net-misc/memcached-1.6.0 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-03-09 17:53 UTC by Toralf Förster
Modified: 2020-03-11 05:42 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.30 KB, text/plain)
2020-03-09 17:53 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,216.35 KB, text/plain)
2020-03-09 17:53 UTC, Toralf Förster
Details
environment (environment,87.79 KB, text/plain)
2020-03-09 17:53 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,14.08 KB, application/x-bzip)
2020-03-09 17:53 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,8.47 KB, application/x-bzip)
2020-03-09 17:53 UTC, Toralf Förster
Details
net-misc:memcached-1.6.0:20200309-110610.log (net-misc:memcached-1.6.0:20200309-110610.log,13.63 KB, text/plain)
2020-03-09 17:53 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,24.70 KB, application/x-bzip)
2020-03-09 17:53 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-03-09 17:53:06 UTC
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I.  -UNDEBUG   -O2 -pipe -march=native -fno-common -falign-functions=32:25:16 -UNDEBUG -pthread -c -o testapp-murmur3_hash.o `test -f 'murmur3_hash.c' || echo './'`murmur3_hash.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I.  -UNDEBUG   -O2 -pipe -march=native -fno-common -falign-functions=32:25:16 -UNDEBUG -pthread -c -o testapp-hash.o `test -f 'hash.c' || echo './'`hash.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I.  -UNDEBUG   -O2 -pipe -march=native -fno-common -falign-functions=32:25:16 -UNDEBUG -pthread -c -o testapp-cache.o `test -f 'cache.c' || echo './'`cache.c
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common -falign-functions=32:25:16 -UNDEBUG -pthread  -Wl,-O1 -Wl,--as-needed -o testapp testapp-testapp.o testapp-util.o testapp-stats_prefix.o testapp-jenkins_hash.o testapp-murmur3_hash.o testapp-hash.o testapp-cache.o  -levent -lsasl2 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: testapp-stats_prefix.o:(.bss+0x0): multiple definition of `crc32c'; testapp-util.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: testapp-jenkins_hash.o:(.bss+0x0): multiple definition of `crc32c'; testapp-util.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200304-213403

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 10.0.0 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
llvm:
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.41.1 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Mon, 09 Mar 2020 09:37:32 +0000

emerge -qpvO net-misc/memcached
[ebuild     U ] net-misc/memcached-1.6.0 [1.5.22] USE="sasl seccomp -debug (-selinux) -slabs-reassign -test"
Comment 1 Toralf Förster gentoo-dev 2020-03-09 17:53:09 UTC
Created attachment 617666 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-03-09 17:53:12 UTC
Created attachment 617668 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-03-09 17:53:15 UTC
Created attachment 617670 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-03-09 17:53:17 UTC
Created attachment 617672 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-03-09 17:53:20 UTC
Created attachment 617674 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-03-09 17:53:23 UTC
Created attachment 617676 [details]
net-misc:memcached-1.6.0:20200309-110610.log
Comment 7 Toralf Förster gentoo-dev 2020-03-09 17:53:26 UTC
Created attachment 617678 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-03-11 05:42:14 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f9acf146c21b1433f3c9337dd49d05c0060f825e

commit f9acf146c21b1433f3c9337dd49d05c0060f825e
Author:     Robin H. Johnson <robbat2@gentoo.org>
AuthorDate: 2020-03-11 05:41:19 +0000
Commit:     Robin H. Johnson <robbat2@gentoo.org>
CommitDate: 2020-03-11 05:41:19 +0000

    net-misc/memcached: fix -fno-common
    
    Upstream merged our prior patch for -fno-common/gcc10, but also
    introduced a new regression -fno-common in the latest release.
    
    Fixes: https://bugs.gentoo.org/711982
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

 .../memcached/files/memcached-1.6.0-gcc10.patch    | 34 ++++++++++++++++++++++
 net-misc/memcached/memcached-1.6.0.ebuild          |  2 +-
 2 files changed, 35 insertions(+), 1 deletion(-)